ccbb202 发表于 2008-7-8 21:21:00

[求助]插入dxf文件的问题,急!急!急!

<p>请教各位一个问题,我用到语句ThisDrawing.Import PathName,&nbsp;pt() ,1插入一个dxf文件,为什么插入后不显示图元呢,但是能选中,就是看不见,请高手指点,非常感谢!</p>

ccbb202 发表于 2008-7-9 08:35:00

怎么没人回复啊,自己顶一下吧,请高手指点啊~

fjfhgdwfn 发表于 2008-7-9 10:34:00

<pre class="Code">Sub Example_Import()
    ' This example will create a new drawing. Be sure to save
    ' your work and start a new drawing before running this example.
    ' This example creates a circle. It then exports the drawing
    ' to a file called DXFExprt.DXF. It then opens a new drawing
    ' and imports the file.
   
    ' Create the circle for visual representation
    Dim circleObj As AcadCircle
    Dim centerPt(0 To 2) As Double
    Dim radius As Double
    centerPt(0) = 2: centerPt(1) = 2: centerPt(2) = 0
    radius = 1
    Set circleObj = ThisDrawing.ModelSpace.AddCircle(centerPt, radius)
    ZoomAll
   
    ' Create an empty selection set
    Dim sset As AcadSelectionSet
    Set sset = ThisDrawing.SelectionSets.Add("TEST")
   
    ' Export the current drawing to the file specified above.
    Dim exportFile As String
    exportFile = "C:\my documents\DXFExprt"    ' Adjust path for your system
    ThisDrawing.Export exportFile, "DXF", sset
   
    ' Open a new drawing
    Dim Acad As AcadApplication
    Dim newdoc As AcadDocument
    Set Acad = ThisDrawing.Application
    Set newdoc = Acad.Documents.Add("acad.dwt")
   
    ' Define the import
    Dim importFile As String
    Dim InsertPoint(0 To 2) As Double
    Dim scalefactor As Double
    importFile = "C:\my documents\DXFExprt.dxf"' Adjust path for your system
    InsertPoint(0) = 0#: InsertPoint(1) = 0#: InsertPoint(2) = 0#
    scalefactor = 2#
   
    ' Import the file
    ThisDrawing.Import importFile, InsertPoint, scalefactor
    ZoomAll
   
End Sub</pre><pre class="Code"></pre><pre class="Code">你的用法和他的例子不同。没事多看看帮助。</pre>

ccbb202 发表于 2008-7-9 16:56:00

<p>我的程序和例子相同啊,还是不显示!请教各位了?</p>
页: [1]
查看完整版本: [求助]插入dxf文件的问题,急!急!急!